/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.TremiS;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TremiSFacadeLocal {

    void create(TremiS tremiS);

    void edit(TremiS tremiS);

    void remove(TremiS tremiS);

    TremiS find(Object id);

    List<TremiS> findAll();

    List<TremiS> findRange(int[] range);

    int count();

    TremiS FindRemiS(String productoCodigo, String sucursalCodigo, String programaCodigo);

}
